=== debian/changelog ===
golang-github-linuxkit-virtsock (0.0~git20170720.0.0416e3d-1) unstable; urgency=medium

  * Initial release (Closes: #873031)

 -- Balint Reczey <rbalint@ubuntu.com>  Sun, 20 Aug 2017 23:50:06 +0200
