=== debian/control ===
Source: golang-github-linuxkit-virtsock
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <rbalint@ubuntu.com>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-golang-x-sys-dev (>= 0.0~git20170630.0.4ed4d40~)
Standards-Version: 4.0.0
Homepage: https://github.com/linuxkit/virtsock
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-linuxkit-virtsock.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-linuxkit-virtsock.git
XS-Go-Import-Path: github.com/linuxkit/virtsock
Testsuite: autopkgtest-pkg-go

Package: golang-github-linuxkit-virtsock-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-golang-x-sys-dev
Description: Go bindings for Hyper-V and virtio sockets
 This package contains Go bindings for Microsoft's Hyper-V sockets, a
 Windows Socket with a new address family and specialized endpoint
 for targeting virtual machines and for OASIS's Virtual I/O Device
 sockets.
