## golang-github-linuxkit-virtsock 0.0~git20220523.1a23e78+ds

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 linuxkit: build-in-container Dockerfile.linuxkit hvtest.yml
 	$(MAKE) -C c build-in-container
 	docker build -t hvtest-local -f Dockerfile.linuxkit .
-	moby build -output kernel+initrd,iso-efi hvtest.yml
+	linuxkit build -format kernel+initrd,iso-efi hvtest.yml
 
 clean:
 	rm -rf bin c/build
