=== debian/control ===
Source: golang-github-linuxkit-virtsock
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders:
 Balint Reczey <rbalint@ubuntu.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-pkg-errors-dev,
 golang-golang-x-sys-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/linuxkit/virtsock
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-linuxkit-virtsock
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-linuxkit-virtsock.git
XS-Go-Import-Path: github.com/linuxkit/virtsock
Testsuite: autopkgtest-pkg-go

Package: golang-github-linuxkit-virtsock-dev
Architecture: all
Depends:
 golang-github-pkg-errors-dev,
 golang-golang-x-sys-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: Go bindings for Hyper-V and virtio sockets
 This package contains Go bindings for Microsoft's Hyper-V sockets, a
 Windows Socket with a new address family and specialized endpoint
 for targeting virtual machines and for OASIS's Virtual I/O Device
 sockets.
